<?php
/*##################################################
 #                               lastconnect.php
 #                            -------------------
 #        Menu adapter du module stats
 #        Mai 2010 / SaTurNin
 #
 #********************************************
 #      Adapt par : Swan & Saturnin
 #	    Date	  : Le 04/03/2015 
 #		Site      : http://easy-design.net
 ###################################################*/

function menu_lastconnect_lastconnect($position, $block)
	{
	
	//classe globale
	global $Sql;
	
	// Le template
	 $tpl = new FileTemplate('menus/lastconnect/lastconnect.tpl');
	 
	//	la classe menu_service
	MenuService::assign_positions_conditions($tpl, $block);
	
	$timestamp = 3600 * 24;
	$time = time();
	$time_left = $time - $timestamp;
    
	$i = 1;
	$result = $Sql->query_while("SELECT user_id, login, user_msg, last_connect, user_groups, level 
	FROM " . DB_TABLE_MEMBER . "
	WHERE last_connect > ". $time_left ."
	ORDER BY last_connect DESC
		", __LINE__, __FILE__);

		
	while ($row = $Sql->fetch_assoc($result))
		{
		if($row['level'] == 0)
			{ $level = 'class="member"' ;
		}else if ($row['level'] == 1)
			{ $level = 'class="modo"' ;
		}else if ($row['level'] == 2)
			{ $level =  'class="admin" ' ;
			}
		 $tpl->assign_block_vars('last_cn', array(
			'ID' => $i,
			'U_USER_ID' =>($row['user_id']),
			'LAST_CONNECT' => date('[d\/m\/Y\]  H:i',$row['last_connect']),
			'LOGIN' => $row['login'],
			'LEVEL' => $level
		 ));
		 $i++;
	}
	$Sql->query_close($result);
    
    
     return $tpl->render();
	}

?>
